%global tag0 VERSION_%{version}

Name:           libaccounts-qt
Summary:        Accounts framework Qt bindings
Version:        1.17
Release:        1

License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/libaccounts-qt

Source0:        https://gitlab.com/accounts-sso/libaccounts-qt/repository/archive.tar.gz?ref=%{tag0}#/libaccounts-qt-%{version}.tar.gz

BuildRequires:  pkgconfig(libaccounts-glib) >= 1.23
BuildRequires:  doxygen
BuildRequires:  graphviz

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
%{summary}.

%package        -n libaccounts-qt5
Summary:        Accounts framework Qt5 bindings
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  make
Obsoletes:      libaccounts-qt-qt5 < 1.13-11

%description    -n libaccounts-qt5
%{summary}.

%package        -n libaccounts-qt5-devel
Summary:        Development files for %{name}
Obsoletes:      libaccounts-qt-qt5-devel < 1.13-11
Requires:       libaccounts-qt5%{?_isa} = %{version}-%{release}

%description    -n libaccounts-qt5-devel
%{summary}.

%package        doc
Summary:        User and developer documentation for %{name}
Obsoletes:      libaccounts-qt5-doc < 1.13-10
Provides:       libaccounts-qt5-doc = %{version}-%{release}
BuildArch:      noarch

%description    doc
%{summary}.


%prep
%setup -q -n libaccounts-qt-%{tag0}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} \
    QMF_INSTALL_ROOT=%{_prefix} \
    CONFIG+=release \
    LIBDIR=%{_libdir} \
    ../accounts-qt.pro
popd

%make_build -C %{_target_platform}


%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

mkdir -p %{buildroot}%{_datadir}/accounts/{providers,services}
rm -fv %{buildroot}%{_datadir}/doc/accounts-qt/html/installdox

rm -rfv %{buildroot}%{_datadir}/libaccounts-qt-tests
rm -fv %{buildroot}%{_bindir}/accountstest


%ldconfig_scriptlets -n libaccounts-qt5

%files -n libaccounts-qt5
%license COPYING
%{_libdir}/libaccounts-qt5.so.*
%dir %{_datadir}/accounts/
%dir %{_datadir}/accounts/providers/
%dir %{_datadir}/accounts/services/

%files -n libaccounts-qt5-devel
%{_libdir}/libaccounts-qt5.so
%{_includedir}/accounts-qt5/
%{_libdir}/pkgconfig/accounts-qt5.pc
%{_libdir}/cmake/AccountsQt5

%files doc
%{_docdir}/accounts-qt/


%changelog
* Fri Jun 14 2024 kywqs <weiqingsong@kylinos.cn> - 1.17-1
- update version to 1.17
- add Qt6 support
- fix a QString access out-of-bounds

* Thu Jul 14 2022 misaka00251 <misaka00251@misakanet.cn> - 1.16-1
- Init package
